## EogWindow

EogWindow

## Functions

GtkWidget * | eog_window_new ()
GMenu * | eog_window_get_gear_menu_section ()
EogWindowMode | eog_window_get_mode ()
void | eog_window_set_mode ()
EogListStore * | eog_window_get_store ()
GtkWidget * | eog_window_get_view ()
GtkWidget * | eog_window_get_sidebar ()
GtkWidget * | eog_window_get_thumb_view ()
GtkWidget * | eog_window_get_thumb_nav ()
GtkWidget * | eog_window_get_statusbar ()
EogImage * | eog_window_get_image ()
void | eog_window_open_file_list ()
gboolean | eog_window_is_empty ()
void | eog_window_reload_image ()

## Properties

EogWindowGalleryPos | gallery-position | Read / Write
gboolean | gallery-resizable | Read / Write
EogStartupFlags | startup-flags | Read / Write / Construct Only

## Signals

void | prepared | Run Last

## Types and Values

#define | EOG_WINDOW_ERROR
enum | EogWindowGalleryPos
enum | EogWindowMode
enum | EogWindowError
enum | EogStartupFlags
struct | EogWindow

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkApplicationWindow
                                ╰── EogWindow

## Implemented Interfaces

EogWindow implements AtkImplementorIface, GtkBuildable, GActionGroup and GActionMap.

## Description

## Functions

### eog_window_new ()

    GtkWidget *
    eog_window_new (EogStartupFlags flags);

Creates a new and empty EogWindow. Use `flags` to indicate if the window should be initialized fullscreen, in slideshow mode, and/or without the thumbnails gallery visible. See EogStartupFlags.

#### Parameters

flags | the initialization parameters for the new window. |

#### Returns

a newly created EogWindow.

### eog_window_get_gear_menu_section ()

    GMenu *
    eog_window_get_gear_menu_section (EogWindow *window,
                                      const gchar *id);

#### Parameters

window | an EogWindow. |
id | the ID for the menu section to look up |

#### Returns

a GMenu or `NULL` on failure.

[transfer none]

### eog_window_get_mode ()

    EogWindowMode
    eog_window_get_mode (EogWindow *window);

Gets the mode of `window` . See EogWindowMode for details.

#### Parameters

window | An EogWindow. |

#### Returns

An EogWindowMode.

### eog_window_set_mode ()

    void
    eog_window_set_mode (EogWindow *window,
                         EogWindowMode mode);

Changes the mode of `window` to normal, fullscreen, or slideshow. See EogWindowMode for details.

#### Parameters

window | an EogWindow. |
mode | an EogWindowMode value. |

### eog_window_get_store ()

    EogListStore *
    eog_window_get_store (EogWindow *window);

Gets the EogListStore that contains the images in the gallery of `window` .

#### Parameters

window | An EogWindow. |

#### Returns

an EogListStore.

[transfer none]

### eog_window_get_view ()

    GtkWidget *
    eog_window_get_view (EogWindow *window);

Gets the EogScrollView in the window.

#### Parameters

window | An EogWindow. |

#### Returns

the EogScrollView.

[transfer none]

### eog_window_get_sidebar ()

    GtkWidget *
    eog_window_get_sidebar (EogWindow *window);

Gets the sidebar widget of `window` .

#### Parameters

window | An EogWindow. |

#### Returns

the EogSidebar.

[transfer none]

### eog_window_get_thumb_view ()

    GtkWidget *
    eog_window_get_thumb_view (EogWindow *window);

Gets the thumbnails view in `window` .

#### Parameters

window | an EogWindow. |

#### Returns

an EogThumbView.

[transfer none]

### eog_window_get_thumb_nav ()

    GtkWidget *
    eog_window_get_thumb_nav (EogWindow *window);

Gets the thumbnails navigation pane in `window` .

#### Parameters

window | an EogWindow. |

#### Returns

an EogThumbNav.

[transfer none]

### eog_window_get_statusbar ()

    GtkWidget *
    eog_window_get_statusbar (EogWindow *window);

Gets the statusbar in `window` .

#### Parameters

window | an EogWindow. |

#### Returns

a EogStatusbar.

[transfer none]

### eog_window_get_image ()

    EogImage *
    eog_window_get_image (EogWindow *window);

Gets the image currently displayed in `window` or `NULL` if no image is being displayed.

#### Parameters

window | an EogWindow. |

#### Returns

an EogImage.

[transfer none]

### eog_window_open_file_list ()

    void
    eog_window_open_file_list (EogWindow *window,
                               GSList *file_list);

Opens a list of files, adding them to the gallery in `window` . Files will be checked to be readable and later filtered according with `eog_list_store_add_files()`.

#### Parameters

window | An EogWindow. |
file_list | A `NULL`-terminated list of GFile's. | [element-type GFile]

### eog_window_is_empty ()

    gboolean
    eog_window_is_empty (EogWindow *window);

Tells whether `window` is currently empty or not.

#### Parameters

window | an EogWindow. |

#### Returns

`TRUE` if `window` has no images, `FALSE` otherwise.

### eog_window_reload_image ()

    void
    eog_window_reload_image (EogWindow *window);

## Types and Values

### EOG_WINDOW_ERROR

    #define EOG_WINDOW_ERROR           (eog_window_error_quark ())

### enum EogWindowGalleryPos

#### Members

EOG_WINDOW_GALLERY_POS_BOTTOM |  |
EOG_WINDOW_GALLERY_POS_LEFT |  |
EOG_WINDOW_GALLERY_POS_TOP |  |
EOG_WINDOW_GALLERY_POS_RIGHT |  |

### enum EogWindowMode

#### Members

EOG_WINDOW_MODE_UNKNOWN |  |
EOG_WINDOW_MODE_NORMAL |  |
EOG_WINDOW_MODE_FULLSCREEN |  |
EOG_WINDOW_MODE_SLIDESHOW |  |

### enum EogWindowError

#### Members

EOG_WINDOW_ERROR_CONTROL_NOT_FOUND |  |
EOG_WINDOW_ERROR_UI_NOT_FOUND |  |
EOG_WINDOW_ERROR_NO_PERSIST_FILE_INTERFACE |  |
EOG_WINDOW_ERROR_IO |  |
EOG_WINDOW_ERROR_TRASH_NOT_FOUND |  |
EOG_WINDOW_ERROR_GENERIC |  |
EOG_WINDOW_ERROR_UNKNOWN |  |

### enum EogStartupFlags

#### Members

EOG_STARTUP_FULLSCREEN |  |
EOG_STARTUP_SLIDE_SHOW |  |
EOG_STARTUP_DISABLE_GALLERY |  |
EOG_STARTUP_SINGLE_WINDOW |  |

### struct EogWindow

    struct EogWindow;

## Property Details

### The `“gallery-position”` property

      “gallery-position”         EogWindowGalleryPos

Determines the position of the image gallery in the window relative to the image.

Owner: EogWindow

Flags: Read / Write

Default value: EOG_WINDOW_GALLERY_POS_BOTTOM

### The `“gallery-resizable”` property

      “gallery-resizable”        gboolean

If `TRUE` the gallery will be resizable by the user otherwise it will be in single column/row mode.

Owner: EogWindow

Flags: Read / Write

Default value: FALSE

### The `“startup-flags”` property

      “startup-flags”            EogStartupFlags

A bitwise OR of EogStartupFlags elements, indicating how the window should behave upon creation.

Owner: EogWindow

Flags: Read / Write / Construct Only

## Signal Details

### The `“prepared”` signal

    void
    user_function (EogWindow *window,
                   gpointer   user_data)

The “prepared” signal is emitted when the `window` is ready to be shown.

#### Parameters

window | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last